コンテンツへスキップ

Kling O1 Reference Image to Video [Pro]

統合

モデルID kling-video/o1/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/o1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.56 560 APIクレジット このページで実行

APIキーを取得
Kling 参照画像から動画 参照入力3–10 s

キャラクターとオブジェクトの一貫性を保つProのリファレンス・トゥ・ビデオ、3~10秒、入力動画なし

Kling · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2500

順序付き参照では、要素に @Element1、@Element2 などを、画像に @Image1、@Image2 などを使用します。

duration 5 s

秒単位で表す動画の長さ。

aspect_ratio デフォルト 16:9

生成動画のフレームの幅と高さの比率。

詳細設定 images · enable_safety_checker · elements
image_urls
ファイルをドロップ、または

スタイルや外観を導く追加画像。プロンプトでは @Image1、@Image2 などで参照します。要素、参照画像、開始画像の合計は7件以内です。各ファイルは50 MB以内、幅と高さはそれぞれ300 px以上、アスペクト比は0.40~2.50である必要があります。

動画に登場させるキャラクターやオブジェクト。プロンプトでは @Element1、@Element2 などで参照します。要素、参照画像、開始画像の合計は7件以内です。

POST /run/kling-video/o1/reference-to-video?wait=20 見積もり → $0.56
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/o1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling O1 Reference Image to Video [Pro]について

最大2500文字の必須`prompt`からクリップを生成します。指定した`elements`は@Element1、`image_urls`は@Image1として参照します。要素と参照画像は最大7個まで組み合わせられます。長さは3~10秒(デフォルト5)、アスペクト比は16:9、9:16、1:1です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを無効にできるのはアカウント認証済みの場合のみです。認証のないリクエストには常にチェックが実行されます。
prompt必須
型string
≤ 2,500文字
順序付き参照では、要素に @Element1、@Element2 などを、画像に @Image1、@Image2 などを使用します。
image_urls任意 images
型url[] · image
スタイルや外観を導く追加画像。プロンプトでは @Image1、@Image2 などで参照します。要素、参照画像、開始画像の合計は7件以内です。各ファイルは50 MB以内、幅と高さはそれぞれ300 px以上、アスペクト比は0.40~2.50である必要があります。
elements任意
型object[]
動画に登場させるキャラクターやオブジェクト。プロンプトでは @Element1、@Element2 などで参照します。要素、参照画像、開始画像の合計は7件以内です。
elements[].frontal_image_url必須
型url · image
要素の主な外観を示す正面画像。サイズは50 MB以内、幅と高さはそれぞれ300 px以上、アスペクト比は0.40~2.50である必要があります。タイムアウトは20秒です。
elements[].reference_image_urls任意
型url[] · image
異なる角度を示す追加参照画像を1~3枚指定します。各画像のアスペクト比は0.40~2.50、幅と高さはそれぞれ300px以上、サイズは50.0MB以下である必要があります。
duration任意
型enum
デフォルト5
345678910
秒単位で表す動画の長さ。
aspect_ratio任意
型enum
デフォルト16:9
16:99:161:1
生成動画のフレームの幅と高さの比率。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/o1/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 560,
    "usd": "0.56",
    "charged": 560,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: 参照画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-video/o1/reference-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt